require 'json'

module Moose
  def get(endpoint, options = '-s')
    JSON.parse `curl #{options} '#{url}'`
  end

  def put(endpoint, data, options = '-s')
    `curl #{options} -X PUT -d '#{data.to_json}' '#{url_for(endpoint)}'`
  end

  private

  def url_for(endpoint)
    endpoint
  end
end
